Subject: flooding LSA in RFC 2328

From: df klsd <[email-masked]>
Date: Fri, 11 Apr 2003 11:53:13 +0100

I have a question on the flooding LSA in RFC 2328.

Considering router-A sending LSA with MaxAge to
router-B for flushing an instance x. However, the
instance x of the LSA is not existing in the router B.
What the router B will do?

According to RFC 2328, §13, step (4):
        if  "none of router's neighbors are in states
Exchange or Loading, then take the following actions:
a) Acknowledge the receipt of the LSA by sending a
Link State Acknowledgment packet back to the sending
neighbor (see Section 13.5), and b) Discard the LSA
and examine the next LSA (if any) listed in the Link
State Update packet."

       What about if  "one of router's neighbors are
in states Exchange or Loading"?

Two possibility:
        (1)  discard the LSA and no ACK   (my initial
understanding)
              However, it is not the case according to
appendix G of RFC 2328

        (2)  Going to the step (5),

           if go to the step (5), let us have a look
what will do: the substep (a)-(f) will and must be
preformed:
            (a) not thing to be done
            (b) immediately flood the non-existing
instance with MaxAge LSA out
            (c) not thing to be done
            (d) not thing to be done
            (e) no ACK is sent (router-B is in loading
or exchange state) according to 13.5 of RFC 2328
            (f) not thing to be done?

         The non-existing instance of the MaxAge LSA
really creates problems to the adjacency routers by
those substeps.
              1. what is the point of flooding the
non-existing instance with MaxAge?
              2. the original sender router A will
continually send the non-existing instance of the
MaxAge LSA to router B until ACK is received. Then
router finds it is the wrong copy and send the right
copy.

However, RFC 2178 will not have such a problem. Why
RFC 2328 does such change? Is a bug in the RFC 2328?

BR

Shaoji

__________________________________________________
Yahoo! Plus
For a better Internet experience
http://www.yahoo.co.uk/btoffer